var romaKeepVoices = [];
Game_Interpreter.prototype.PlayKeepRomaVoice = function () {
    if (romaKeepVoices.length > 0) {
        this.PRandVoice("romasha",romaKeepVoices);
    }
    romaKeepVoices = [];
}
Game_Interpreter.prototype.CardOriginalEffectUpdate = function (_BukiId) {
    switch (_BukiId) {
        case 2: 
        case 668: 
        case 669: 
        case 695: 
        case 670: 
        case 671: 
        case 696: 
        case 672: 
        case 673: 
        case 697: 
            romaKeepVoices = ["btl_391_tokus","btl_392_terya","btl_393_tarya","btl_394_haaaa"];
        case 674: 
        case 698: 
        case 675: 
        case 699: 
        case 676: 
            if (BtlCardUse.flame == 1) {
                this.SetCmnEvent(CN_胸カットイン);
            }
            break
    }
    switch (_BukiId) {
        case 2: 
        case 668: 
        case 669: 
        case 670: 
        case 671: 
        case 672: 
        case 673: 
            if (BtlCardUse.flame == 15) {
                this.SetSpineAnime(PN_CharacterPL, "AtkSpear4", true, 0, 100);
                this.PlayAnime(126, TgMoveX, TgMoveY - 30); 
            }
            break;
    }
    switch (_BukiId) {
        case 672: 
        case 673: 
            var 双竜波BaseFlame = 45;
            if (BtlCardUse.flame == 双竜波BaseFlame) {
                this.SetSpineAnime(PN_CharacterPL, "Atk1", true, 0, 100);
            }
            if (BtlCardUse.flame == 双竜波BaseFlame + 30) {
                this.SetSpineAnime(PN_CharacterPL, "Atk1", true, 0, 100);
            }
    }
}
Game_Interpreter.prototype.CardOriginalEffectEnd = function (_BukiId) {
    switch (_BukiId) {
        case 2: 
        case 668: 
        case 669: 
        case 670: 
        case 671: 
        case 672: 
        case 673: 
            L2dFadeMdl(WaitMdlName, "rightin", 10, WaitMotionName);
            break;
    }
}
